import React, { useEffect } from 'react'
import { Box, Typography } from '@mui/material';
import { useParams } from 'react-router-dom';
import Grid from '@mui/material/Grid2';
import ImageView from '../../components/ImageView/ImageView';
import ProductDetails from '../../components/ProductDetails';
import ProductSuggestion from '../../components/ProductSuggestion';
import ProductHistoryList from '../../components/ProductHistoryList';
import SocialMedia from '../../components/SocialMedia'
import Feature from '../../components/Feature'

const Product = () => {

  let { pid } = useParams();

  useEffect(() => {

  }, [])

  return (

    <Box sx={{ mt: 10, px: 24 }}>
      <Grid container spacing={0}>
        <Grid size={6}>
          <Box sx={{ paddingRight: 1 }}>
            <Box>
              <ImageView />
            </Box>
          </Box>
        </Grid>

        <Grid size={6} xs>
          <Box>
            <Box>
              <ProductDetails />
            </Box>
          </Box>
        </Grid>
      </Grid>

      <Box sx={{
        width: "100%",
        borderTop: "1px solid rgba(0,0,0,0.2)",
        py: 4,
        textAlign: "center"
      }}>
        <Typography variant='body1' sx={{ fontWeight: "400", mb: 4 }}>
          YOU MAY ALSO LIKE
        </Typography>

        <ProductSuggestion />

      </Box>

      <Box sx={{
        width: "100%",
        borderTop: "1px solid rgba(0,0,0,0.2)",
        py: 4,
        textAlign: "center"
      }}>
        <Typography variant='body1' sx={{ fontWeight: "400", mb: 4 }}>
          RECENTLY VIEWED 
        </Typography>

        <ProductHistoryList />

      </Box>


      <SocialMedia />
      <Feature />
    </Box>

  )
}

export default Product